# Scripts-DOLPHINFREE
This repository contains the files used to analyse data obtained during the <a href="https://umr-marbec.fr/en/the-projects/dolphinfree/">DOLPHINFREE project</a>. The goal was to detect and identify clicks and whisltes in audio recordings of common dolphins.   

![signal dolphin](audio_ex.png?raw=true)

## Description
"BBPs", "Clicks" and "Whisltes" folders each treat a type of signal emitted by dolphins.   
- Each folder contains numbered scripts for step-by-step execution. 
- ___Utils.py files contain the functions necessary to the execution of the other scripts
- "Results" and other subfolders contain... results and other outputs (surprise surprise).  

"Stats" folder contains the files used to carry on a statistical analysis of extracted data.   
"CSV_data" folder contains the visual observations made during experiments.  
"Audio_data" folder is empty. Files cannot be made available publicly due to the presence of copyrighted elements.

## Get Started
.py files were developped using Python 3.9.7.  
If needed, you can add missing packages to your environement using: 
```bash
$ pip install name-package
```

.matlab files can be executed in matlab or octave.

## Contact
Please contact [Loïc Lehnhoff](mailto:loic.lehnhoff@gmail.com), [Bastien Mérigot](mailto:bastien.merigot@umontpellier.fr) or [Hervé Glotin](mailto:herve.glotin@lis-lab.fr) for any question related to this repository.

## Related to
Results and scripts are presented in details in: Lehnhoff, L.; Glotin, H.; Bernard, S.; Dabin, W.; Le Gall, Y.; Menut, E.; Meheust, E.; Peltier, H.; Pochat, A.; Pochat, K.; Rimaud, T.; Sourget, Q.; Spitz, J.; Van Canneyt, O.; Mérigot, B. Behavioural Responses of Common Dolphins Delphinus delphis to a Bio-Inspired Acoustic Device for Limiting Fishery By-Catch. Sustainability 2022, 14, 13186. https://doi.org/10.3390/su142013186